<?php
// Author: Jesse Throwe
// Copyright 2001 Sun Microsystems, Inc. All rights reserved.
// $Id: overflow.php,v 1.8 2001/12/07 03:05:29 pbaltz Exp $



// -------------------------------------
// Includes

include("ServerScriptHelper.php");


// -------------------------------------
// Variables

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient() or die ("CCE was not found, or is not running");
$factory = $serverScriptHelper->getHtmlComponentFactory("base-overflow", "/base/overflow/overflowHandler.php");
$i18n = $serverScriptHelper->getI18n("base-overflow");
$page = $factory->getPage();
$block = $factory->getPagedBlock("overflowSettings");

// -------------------------------------
// Process error messages from the handler script for display.
$block->processErrors($serverScriptHelper->getErrors());

// -------------------------------------
// Get values from CCE and parse the values out to their appropriate places

$overflowCCE = $cceClient->getObject("System", array(), "Overflow");

$enabled = $overflowCCE["enabled"];
$alertEmail = $overflowCCE["alertEmail"];


// -------------------------------------
// Construct buttons

// -------------------------------------
// Block Form


// set the enabled button

$enabledBox = $factory->getBoolean("enabled", $enabled);
$block->addFormField($enabledBox, $factory->getLabel("enabledBox"));

// now set the admin form
$adminEmail = $factory->getEmailAddress("alertEmail", $alertEmail);
$adminEmail->setOptional(true);

// Use ActiveMonitor's email contact list if possible
$am_obj = $cceClient->getObject('ActiveMonitor', array(), '');
if( ! $am_obj["alertEmailList"] )
        $block->addFormField($adminEmail, $factory->getLabel("alertEmail"));

$block->addButton($factory->getSaveButton($page->getSubmitAction()));

// Free Helper
$serverScriptHelper->destructor();


// -------------------------------------
// Print out all the data
print $page->toHeaderHtml();
print $block->toHtml();
print $page->toFooterHtml();
?>
